### Class

# PapersView AnnotationsContext

#### Description

    class PapersView.AnnotationsContext : GObject.Object
      implements PapersView.UndoHandler {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- PpsUndoHandler

#### Constructors

###### pps_annotations_context_new

No description available.

#### Functions

###### pps_annotations_context_register_ink_transformation

This is a hack to be able to call rust code from C.

#### Instance methods

###### pps_annotations_context_add_annotation_sync

Add an annotation based on the provided information.

since: 48.0

###### pps_annotations_context_first_index_for_page

Finds the first index of an annotation for the specified page with a dichotomic search.

###### pps_annotations_context_get_annot_at_doc_point

No description available.

since: 49.0

###### pps_annotations_context_get_annots_model

No description available.

###### pps_annotations_context_remove_annotation

No description available.

###### pps_annotations_context_set_color

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from PpsUndoHandler (2)

###### pps_undo_handler_free_action

No description available.

###### pps_undo_handler_undo

No description available.

#### Properties

###### PapersView.AnnotationsContext:document-model

No description available.

###### PapersView.AnnotationsContext:undo-context

No description available.

#### Signals

###### PapersView.AnnotationsContext::annot-added

No description available.

###### PapersView.AnnotationsContext::annot-removed

No description available.

###### PapersView.AnnotationsContext::annots-loaded

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PapersViewAnnotationsContextClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.